package com.mortals.xhx.module.demo.detail.model;
import java.util.List;

import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
/**
* 测试详细实体对象
*
* @author zxfei
* @date 2021-10-09
*/

public class DemoDetailEntity extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
    * 测试demo表id
    */
    @Excel(name = "测试demo表id")
    private String demoId;
    /**
    * 浮点值
    */
    @Excel(name = "浮点值")
    private Long number;
    /**
    * 详细
    */
    @Excel(name = "详细")
    private String detail;


    public DemoDetailEntity(){}
    /**
    * 获取 测试demo表id
    * @return String
    */
    public String getDemoId(){
        return demoId;
    }
    /**
    * 设置 测试demo表id
    * @param demoId
    */
    public void setDemoId(String demoId){
        this.demoId = demoId;
    }
    /**
    * 获取 浮点值
    * @return Long
    */
    public Long getNumber(){
        return number;
    }
    /**
    * 设置 浮点值
    * @param number
    */
    public void setNumber(Long number){
        this.number = number;
    }
    /**
    * 获取 详细
    * @return String
    */
    public String getDetail(){
        return detail;
    }
    /**
    * 设置 详细
    * @param detail
    */
    public void setDetail(String detail){
        this.detail = detail;
    }



    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DemoDetailEntity) {
            DemoDetailEntity tmp = (DemoDetailEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",demoId:").append(getDemoId());
        sb.append(",number:").append(getNumber());
        sb.append(",detail:").append(getDetail());
        return sb.toString();
    }

    public void initAttrValue(){
            this.demoId = null;
            this.number = null;
            this.detail = null;
    }
}